Remove maximum version limit on bytestring.

Bump version to 0.3.1.
diff --git a/gnome-keyring.cabal b/gnome-keyring.cabal
index 624ce0d..c03e5d8 100644
--- a/gnome-keyring.cabal
+++ b/gnome-keyring.cabal
@@ -1,5 +1,5 @@
 name: gnome-keyring
-version: 0.3
+version: 0.3.1
 license: GPL-3
 license-file: license.txt
 author: John Millikin <jmillikin@gmail.com>
@@ -40,7 +40,7 @@
   build-depends:
       base >= 4.0 && < 5.0
     , text >= 0.7
-    , bytestring >= 0.9 && < 0.10
+    , bytestring >= 0.9
     , time >= 1.1
 
   build-tools: